﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" Title="RichTextEditor" AutoEventWireup="true" CodeBehind="RichTextEditorFeatures.aspx.cs" Inherits="RIchTextEditor.RichTextEditorFeatures" %>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
<h2>RichTextEditor </h2>
<br />
<br/>
<div id = "ControlRegion">
<style type="text/css">
       .customUnOrder,.customOrder{
		   height:25px;
		}
		.customUnOrder:after {
		  content: "\e7f1";
		  font-size:20px;
		  float:left;
		  padding: 0px 4px 0px 4px;
		}
		.customOrder:after {
		  content: "\e7f0";
		  font-size:20px;
		  float:left;
		  padding: 0px 4px 0px 4px;
		}
    </style>
<div>
        <ej:RTE ID="ToolsSample" Width="950" Height="440" ShowFooter="true" runat="server" EnableRTL="false" Locale="en-US">
            <RTEContent>
                &lt;p&gt;&lt;b&gt;Description:&lt;/b&gt;&lt;/p&gt;
    &lt;p&gt;The Rich Text Editor (RTE) control is an easy to render in
    client side. Customer easy to edit the contents and get the HTML content for
    the displayed content. A rich text editor control provides users with a toolbar
    that helps them to apply rich text formats to the text entered in the text
    area. &lt;/p&gt;
    &lt;p&gt;&lt;b&gt;Functional
    Specifications/Requirements:&lt;/b&gt;&lt;/p&gt;
    &lt;ol&gt;&lt;li&gt;&lt;p&gt;Provide
    the tool bar support, it�s also customizable.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Options
    to get the HTML elements with styles.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Support
    to insert image from a defined path.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Footer
    elements and styles(tag / Element information , Action button (Upload, Cancel))&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Re-size
    the editor support. &lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Provide
    efficient public methods and client side events.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Keyboard
    navigation support.&lt;/p&gt;&lt;/li&gt;&lt;/ol&gt;
            </RTEContent>
            <Tools Font="fontName,fontSize,fontColor,backgroundColor"
                Styles="bold,italic,underline,strikethrough" 
                Edit="findAndReplace"
                Alignment="justifyLeft,justifyCenter,justifyRight,justifyFull"
                Lists="unorderedList,orderedList"
                DoAction="undo,redo"
                Clear="clearFormat,clearAll"
                Links="createLink"
                Images="image,video"
                Tables="createTable,addRowAbove,addRowBelow,addColumnLeft,addColumnRight,deleteRow,deleteColumn,deleteTable"
                Casing="upperCase,lowerCase"
                View="fullScreen,zoomIn,zoomOut"
                FormatStyle="format"
                Print="print">
                <CustomOrderedList>
                    <ej:CustomOrderedList Text="Lower-Greek" ListStyle="lower-greek" Name="orderInsert" Tooltip="Custom OrderList" Css="e-rte-toolbar-icon e-rte-listitems customOrder" />
                </CustomOrderedList> 
                <CustomUnorderedList>
                    <ej:CustomUnorderedList Text="Smiley" ListImage="url('../Content/images/RichTextEditor/Smiley-GIF.gif')" Name="unOrderInsert" Tooltip="Custom UnOrderList" Css="e-rte-toolbar-icon e-rte-unlistitems customUnOrder" />
                </CustomUnorderedList>  
            </Tools>
</ej:RTE>
    </div>
</div>
</asp:Content>
